package de.jave.eclipse.copyfully.ui;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;

/**
 * @author Markus Gebhard
 */
public class CopyFullyQualifiedClassNameAction extends AbstractCopyFullyQualifiedClassNameAction
    implements
    IObjectActionDelegate {

  private Object selectedObject;

  public void selectionChanged(IAction action, ISelection selection) {
    selectedObject = null;
    if (selection instanceof IStructuredSelection) {
      selectedObject = ((IStructuredSelection) selection).getFirstElement();
    }
  }

  public void setActivePart(IAction action, IWorkbenchPart part) {
    setActivePart(part);
  }

  protected Object getSelectedObject() {
    return selectedObject;
  }
}